# -*- coding: utf-8 -*-

from django import forms
from django_select2.fields import Select2MultipleChoiceField


class NewsCategoriesSelectForm(forms.Form):
    categories = Select2MultipleChoiceField(choices=[])

    def __init__(self, *args, **kwargs):
        self.setting = kwargs.pop('setting')
        self.selected_categories = kwargs.pop('selected_categories')
        super(NewsCategoriesSelectForm, self).__init__(*args, **kwargs)
        self.fields['categories'].choices = [
            (rel.category.id, rel.category.title) for rel in self.setting.categories.all()
        ]
        self.fields['categories'].initial = self.selected_categories