$(document).ready(function() {

    $("a.showcase_filter").click(function(e){
        e.preventDefault();
        var categories = [parseInt($(this).attr('data-category'), 10)];
        var setting = $(this).attr('data-setting');
        var data_url = $(this).attr('data-url');
        var query_key = "scf_" + setting;
        $.ajax({
            type: "GET",
            url : data_url,
            data: {
                'param_key': query_key,
                'querystring': location.search,
                'filters': JSON.stringify({
                    'manage_filters': {
                        'categories': categories
                    },
                    'delete_filters': ['page'],
                })
            },
            success : function(data){
                page_url = window.location.href.split('?')[0]
                window.location.href = page_url + "?" + data;
            }
        });
    });

    $("a.showcase_item_category").click(function(e){
        e.preventDefault();
        var categories = [parseInt($(this).attr('data-category'), 10)];
        var instance = $(this).attr('data-instance');
        var data_url = $(this).attr('data-url');
        var query_key = "scf_" + instance;
        $.ajax({
            type: "GET",
            url : data_url,
            data: {
                'param_key': query_key,
                'querystring': location.search,
                'filters': JSON.stringify({
                    'manage_filters': {
                        'categories': categories
                    },
                    'delete_filters': ['page'],
                })
            },
            success : function(data){
                page_url = window.location.href.split('?')[0]
                window.location.href = page_url + "?" + data;
            }
        });
    });

    $("a.showcase_pagination").click(function(e){
        e.preventDefault();
        var page = parseInt($(this).attr('data-page'), 10);
        var instance = $(this).attr('data-instance');
        var data_url = $(this).attr('data-url');
        var query_key = "scf_" + instance;
        $.ajax({
            type: "GET",
            url : data_url,
            data: {
                'param_key': query_key,
                'querystring': location.search,
                'filters': JSON.stringify({
                    'manage_filters': {
                        'page': page
                    },
                    'delete_filters': [],
                })
            },
            success : function(data){
                page_url = window.location.href.split('?')[0]
                window.location.href = page_url + "?" + data;
            }
        });
    });

    $("a.btn-showcase-select-category-filter").click(function(e){
        e.preventDefault();
        var form = $(this).closest('form');
        var form_id = form.attr('id');
        var instance = form_id.substring(21);
        var categories = form.find('select[name="categories"]').val();
        var data_url = form.attr('data-url');
        var query_key = "scf_" + instance;
        if (categories) {
            categories = categories.map(function (x) {return parseInt(x, 10)});
        }
        $.ajax({
            type: "GET",
            url : data_url,
            data: {
                'param_key': query_key,
                'querystring': location.search,
                'filters': JSON.stringify({
                    'manage_filters': {
                        'categories': categories
                    },
                    'delete_filters': ['page'],
                })
            },
            success : function(data){
                page_url = window.location.href.split('?')[0];
                window.location.href = page_url + "?" + data;
            }
        });
    });

});